#pragma once

#include "CoreMinimal.h"
#include "FloatValueStrategy.h"
#include "PerkTierValueStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDCOMPETENCE_API UPerkTierValueStrategy : public UFloatValueStrategy
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, Instanced)
	UFloatValueStrategy* _value;

public:
	UPerkTierValueStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UPerkTierValueStrategy) { return 0; }
